API update target file for specified job
Job file can be provided directly in the message body.
Please supply jobs in Memsource header.
For file in the request body provide also the filename in Content-Disposition header.
Accepted metadata:
jobs - required - list of jobs UID reference (maximum size 1)propagateConfirmedToTm - sets if confirmed segments should be stored in TM (default value: true)callbackUrl - consumer callbacktargetSegmentationRule - ID reference to segmentation rule of organization to use for update targetunconfirmChangedSegments - sets if segments should stay unconfirmedJob restrictions:
projectUid)File restrictions:
.zip fileExample:
{
"jobs": [
{
"uid": "jobUid"
}
],
"propagateConfirmedToTm": true,
"targetSegmentationRule": {
"id": "1"
},
"callbackUrl": "https://my-shiny-service.com/consumeCallback"
}
Documentation Index
Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
Use this file to discover all available pages before exploring further.
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
must match pattern ((inline|attachment); )?(filename\*=UTF-8''(.+)|filename="?(.+)"?)
The body is of type object.